## castle-game-engine 7.0~alpha.3%2Bdfsg2

=== Makefile ===
# Makefile to build and perform other useful operations on the Castle Game Engine.
#
# Requires using GNU make.
# - On Linux and most other Unixes, just call "make".
# - On FreeBSD call "gmake".
# - On Windows, install Cygwin ( http://www.cygwin.com/ ) with "make" package.
#   Make sure that when you type "make" it executes Cygwin's "make":
#   Cygwin's directory (like c:/cygwin64/bin/) should be on $PATH environment variable
#   *before* other directories with "make" implementations, like
#   - FPC directory that includes "make" from MinGW (it is GNU make but cannot execute bash scripts)
#   - Delphi directory that includes Embarcadero "make" (it's not GNU make and will fail).
#
# Most useful targets of this Makefile:
#
#   default (default target) --
#     Build the most useful things:
#     - tools not depending on LCL (including build tool)
#     - editor
#     Also, register all Lazarus packages.
#     Also, place all tools and editor in bin/ subdirectory.
#
#   tools --
#     Build all tools that don't depend on LCL.
#     Right now it means: all tools except castle-editor.
#
#   examples --
#     Compile most examples and tools (that don't use Lazarus LCL).
#     Lazarus is not required (LCL dependent examples are not compiled).
#
#     This compilation method calls our "build tool" to compile examples
#     and other tools (build tool, in turn, calls a compiler like FPC or Delphi).
#
#     The exception is when compiling the "build tool" itself,
#     then we call FPC directly. (Although we *could* use
#     the "build tool" to compile (bootstrap) itself, but it's not what
#     people expect by default, so we don't do it for now.)
#
#   examples-laz --
#     Compile all examples and tools using Lazarus (lazbuild).
#     This compilation method uses our .lpi project files,
#     and compiles every program by the lazbuild utility.
#     Lazarus and FPC installation is required.
#
#   build-using-fpmake:
#     Compile all units using FpMake.
#     We support this as an optional build approach to CGE and applications using CGE.
#     See https://castle-engine.io/fpmake .
#
#   clean --
#     Delete FPC temporary files, Delphi temporary files,
#     Lazarus temporary files (*.compiled),
#     binaries of example programs and tools.

# detect platform-specific things --------------------------------------------

# FIND := Unix/Cygwin "find" utility (*not* Windows "find" command which has completely different use)
# SED := GNU sed (*not* other sed implementations)
# EXE_EXTENSION := extension of executable files (with leading dot, if any)

SED := sed
FIND := find
INSTALL := install
EXE_EXTENSION :=

# Detect Windows when $OS is Windows_NT or win64.
# Other $OS, including when $OS is empty / undefined, must be non-Windows.
# See https://stackoverflow.com/questions/7656425/makefile-ifeq-logical-or#9802777
# to how this trick to detect an alternative works.
ifneq (,$(filter $(OS),Windows_NT win64))
  $(info Detected OS: Windows)

  # On Windows avoid using Windows built-in "find" program. Use the Cygwin "find".
  FIND := `cygpath --mixed /bin/find`
  EXE_EXTENSION := .exe
else
  # Only on Unix, you can use "uname" to further detect Unix variants,
  # see https://stackoverflow.com/questions/714100/os-detecting-makefile
  UNAME_S := $(shell uname -s)
  $(info Detected OS: $(UNAME_S))

  # On macOS, use gsed and ginstall (e.g. from Homebrew, use "brew install gnu-sed coreutils").
  # See https://www.topbug.net/blog/2013/04/14/install-and-use-gnu-command-line-tools-in-mac-os-x/
  # http://www.legendu.net/en/blog/install-gnu-utils-using-homebrew/
  ifeq ($(UNAME_S),Darwin)
    SED := gsed
    INSTALL := ginstall
  endif
endif

# config ---------------------------------------------------------------------

# By default, use build tool compiled by tools/build-tool/castle-engine_compile.sh .
# This is easy, and when not cross-compiling, things will just work out-of-the-box,
# Makefile will always first build the build tool, then use it.
#
# You can override it on the command-line like "make BUILD_TOOL=castle-engine"
# to use build tool on $PATH .
# This is more reliable in some scenarios:
#
# - We will use build tool for current (source) system, even if CASTLE_FPC_OPTIONS
#   uses -T${OS} -P${CPU} to indicate a different (target) system,
#   so castle-engine_compile.sh doesn't build for current system.
#
# - Build tool can exist outside of CGE, and thus it exists regardless of "make clean" etc.
#
BUILD_TOOL = ./tools/build-tool/castle-engine$(EXE_EXTENSION)

# compiling tools ------------------------------------------------------------

.PHONY: default
default: tools
	lazbuild $(CASTLE_LAZBUILD_OPTIONS) --add-package-link packages/castle_base.lpk
	lazbuild $(CASTLE_LAZBUILD_OPTIONS) --add-package-link packages/castle_window.lpk
	lazbuild $(CASTLE_LAZBUILD_OPTIONS) --add-package-link packages/castle_components.lpk
	lazbuild $(CASTLE_LAZBUILD_OPTIONS) --add-package-link packages/castle_editor_components.lpk
	lazbuild $(CASTLE_LAZBUILD_OPTIONS) tools/castle-editor/castle_editor.lpi
# move binaries to bin/
	$(INSTALL) -d bin/
	$(INSTALL) tools/texture-font-to-pascal/texture-font-to-pascal$(EXE_EXTENSION) bin/
	$(INSTALL) tools/image-to-pascal/image-to-pascal$(EXE_EXTENSION) bin/
	$(INSTALL) tools/castle-curves/castle-curves$(EXE_EXTENSION) bin/
	$(INSTALL) tools/build-tool/castle-engine$(EXE_EXTENSION) bin/
	$(INSTALL) tools/to-data-uri/to-data-uri$(EXE_EXTENSION) bin/
	$(INSTALL) tools/castle-editor/castle-editor$(EXE_EXTENSION) bin/

.PHONY: tools
tools:
# Compile build tool first, used to compile other tools and examples
	tools/build-tool/castle-engine_compile.sh
	$(BUILD_TOOL) $(CASTLE_ENGINE_TOOL_OPTIONS) --project tools/castle-curves/ compile
	$(BUILD_TOOL) $(CASTLE_ENGINE_TOOL_OPTIONS) --project tools/image-to-pascal/ compile
	$(BUILD_TOOL) $(CASTLE_ENGINE_TOOL_OPTIONS) --project tools/texture-font-to-pascal/ compile
	$(BUILD_TOOL) $(CASTLE_ENGINE_TOOL_OPTIONS) --project tools/to-data-uri/ compile

# install / uninstall --------------------------------------------------------
#
# Note that this *does not* take care of installing the unit files.
# So it does not copy .ppu/.o files, it does not change your /etc/fpc.cfg
# or ~/.fpc.cfg. There are many ways how to install unit files,
# we leave this step up to you.
# See https://castle-engine.io/engine.php for documentation.
#
# Below we only take care of installing the tools.
# By default they are installed system-wide to /usr/local ,
# so you can run "make" followed by "sudo make install" to have the tools
# ready on a typical Unix system.

# Standard installation dirs, following conventions on
# http://www.gnu.org/prep/standards/html_node/Directory-Variables.html#Directory-Variables
PREFIX=$(DESTDIR)/usr/local
EXEC_PREFIX=$(PREFIX)
BINDIR=$(EXEC_PREFIX)/bin
DATAROOTDIR=$(PREFIX)/share
DATADIR=$(DATAROOTDIR)

.PHONY: install
install:
	echo 'Installing tools to $(BINDIR)'
	$(INSTALL) -d $(BINDIR)
	$(INSTALL) tools/texture-font-to-pascal/texture-font-to-pascal$(EXE_EXTENSION) $(BINDIR)
	$(INSTALL) tools/image-to-pascal/image-to-pascal$(EXE_EXTENSION) $(BINDIR)
	$(INSTALL) tools/castle-curves/castle-curves$(EXE_EXTENSION) $(BINDIR)
	$(INSTALL) tools/build-tool/castle-engine$(EXE_EXTENSION) $(BINDIR)
	$(INSTALL) tools/to-data-uri/to-data-uri$(EXE_EXTENSION) $(BINDIR)
#	cp -R tools/build-tool/data $(DATADIR)/castle-engine
	echo 'Installing data to $(DATADIR)/castle-engine/'
	$(INSTALL) -d  $(DATADIR)
	cd tools/build-tool/data/ && \
	  "$(FIND)" . -type f -exec $(INSTALL) --mode 644 -D '{}' $(DATADIR)/castle-engine/'{}' ';'

.PHONY: uninstall
uninstall:
	rm -f  $(BINDIR)/texture-font-to-pascal$(EXE_EXTENSION) \
	       $(BINDIR)/image-to-pascal$(EXE_EXTENSION) \
	       $(BINDIR)/castle-curves$(EXE_EXTENSION) \
	       $(BINDIR)/castle-engine$(EXE_EXTENSION) \
	       $(BINDIR)/to-data-uri$(EXE_EXTENSION)
	rm -Rf $(DATADIR)/castle-engine

# Strip libraries that cannot be distributed in Debian package of CGE.
# - Some of them (some bundled Windows, Android libs) cannot be recompiled
#   automatically and easily for now (although they are open-source),
#   and are not of sufficient interest to the Debian users.
# - Some (Gradle) should be better used by depending on
#   the appropriate Debian package.
.PHONY: strip-precompiled-libraries
strip-precompiled-libraries:
	rm -Rf tools/build-tool/data/external_libraries/ \
	       tools/build-tool/data/android/integrated-services/sound/ \
	       tools/build-tool/data/android/integrated-services/ogg_vorbis/ \
	       tools/build-tool/data/android/integrated-services/freetype/ \
	       tools/build-tool/data/android/base/gradle/ \
	       tools/build-tool/data/android/base/gradlew \
	       tools/build-tool/data/android/base/gradlew.bat \
	       tools/build-tool/data/android/integrated/gradle/ \
	       tools/build-tool/data/android/integrated/gradlew \
	       tools/build-tool/data/android/integrated/gradlew.bat

# compiling examples -----------------------------------------------------------

# For GitHub Actions, we need to conserve disk space in some cases, as it is limited to ~15 GB.
#
# When CASTLE_CONSERVE_DISK_SPACE is
# - true -> prefixing command with $(DO_IF_CONSERVE_DISK_SPACE) makes this command execute.
# - anything else -> prefixing command with $(DO_IF_CONSERVE_DISK_SPACE) makes this command not execute.
#
ifeq ($(CASTLE_CONSERVE_DISK_SPACE),true)
DO_IF_CONSERVE_DISK_SPACE:=
else
DO_IF_CONSERVE_DISK_SPACE:=true
endif

# Note that examples with CastleEngineManifest.xml are not listed here.
# They will be found and compiled by a Makefile rule that searches using
# "find ... -iname CastleEngineManifest.xml ..." .

EXAMPLES_BASE_NAMES :=

# Note that src/deprecated_library/castleengine must be compiled before
# cge_dynlib_tester, otherwise linking cge_dynlib_tester will fail.
EXAMPLES_LAZARUS_BASE_NAMES := \
  src/deprecated_library/castleengine \
  examples/deprecated_library/lazarus_library_tester/cge_dynlib_tester

EXAMPLES_UNIX_EXECUTABLES := $(EXAMPLES_BASE_NAMES) \
  $(EXAMPLES_LAZARUS_BASE_NAMES)

EXAMPLES_WINDOWS_EXECUTABLES := $(addsuffix .exe,$(EXAMPLES_BASE_NAMES)) \
  $(addsuffix .exe,$(EXAMPLES_LAZARUS_BASE_NAMES))

# Test compiling single CGE editor template.
# Requires CGE_TEMPLATE to be defined.
.PHONY: test-editor-template
test-editor-template:
	rm -Rf temporary-test-projects
	$(BUILD_TOOL) $(CASTLE_ENGINE_TOOL_OPTIONS) create test-project --project-parent-dir temporary-test-projects --project-template $(CGE_TEMPLATE)
	$(BUILD_TOOL) $(CASTLE_ENGINE_TOOL_OPTIONS) --project temporary-test-projects/test-project compile
	rm -Rf temporary-test-projects

# Test compiling CGE editor templates
.PHONY: test-editor-templates
test-editor-templates:
	$(MAKE) --no-print-directory test-editor-template CGE_TEMPLATE=3d_fps_game
	$(MAKE) --no-print-directory test-editor-template CGE_TEMPLATE=2d_game
	$(MAKE) --no-print-directory test-editor-template CGE_TEMPLATE=empty
	$(MAKE) --no-print-directory test-editor-template CGE_TEMPLATE=3d_model_viewer

.PHONY: examples
examples:
# Compile build tool first, used to compile other tools and examples.
	tools/build-tool/castle-engine_compile.sh

# Compile all examples and tools with CastleEngineManifest.xml inside.
#
# We want this to fail if some application failed to compile.
# Unfortunately find seems to ignore -exec result.
# (see e.g. https://unix.stackexchange.com/questions/392970/how-to-get-the-exit-code-of-commands-started-by-find )
# And we cannot use -execdir.
# We also cannot use find ... | xargs, we need to execute 2 commands for each (compile and clean).
#
# So we use find to generate list of projects, then run using simple "for" over them.
#
# Exceptions: We do not process:
#
# - examples/network/tcp_connection/: because it requires Indy which may not be installed.
#
# - tests/delphi_tests: because it requires Delphi, which is not available on non-Windows.
#
