=== tests/egl_sizes_test/Makefile ===
egl_sizes_test: egl_sizes_test.c
	$(CC) -o $@ $<
