=== doc/man/man1/Makefile ===
.PHONY: default
default:
	./generate.sh

.PHONY: clean
clean:
	rm -f *.1
