=== debian/changelog ===
castle-game-engine (7.0~alpha.3+dfsg2-3) unstable; urgency=medium

  * Updated patches meta description.
  * Disabled failing test on armel.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 13 Feb 2025 09:32:09 +0100

castle-game-engine (7.0~alpha.3+dfsg2-2) unstable; urgency=medium

  * Updated clean file after repacking sources.
  * Fixed dependency on FPC packages. Require version with hardening enabled.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 11 Feb 2025 00:16:07 +0100

castle-game-engine (7.0~alpha.3+dfsg2-1) unstable; urgency=medium

  * Ensure hardening is taken into account on the entire compilation process.
  * Removed unused license from copyright file.
  * Removed warning about unused entry in debian/source/include-binaries file.
  * Exclude binary files upon clean and when importing new upstream release.
  * Removed files not packaged by upstream from copyright exclude section.
  * Repack sources again version 7.0~alpha.3+dfsg2
  * Reset DFSG repack suffix in watch file for next upstream release.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 08 Feb 2025 15:13:33 +0100

castle-game-engine (7.0~alpha.3+dfsg1-12) unstable; urgency=medium

  * Fixed file pattern in copyright file.
  * Removed windows executable files upon clean.
  * Enabled hardening when building CGE.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 07 Feb 2025 19:37:19 +0100

castle-game-engine (7.0~alpha.3+dfsg1-11) unstable; urgency=medium

  * Fixed units path on armel and armhf architecture and cross compilation.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 01 Feb 2025 15:30:58 +0100

castle-game-engine (7.0~alpha.3+dfsg1-10) unstable; urgency=medium

  * Fixed tests on all targets after latest breakage.
  * Fixed Lintian warning about comma in files separated list in copyright.
  * Removed Lintian warning about redundant build prerequisite.
  * Enabled Static-Built-Using: fpc to track changes in FPC libraries.
    This should fix issue where fp-units-rtl get changes and CGE does not
    get recompiled causing issues for users.
    Fixed dependency on FPC ABI as the substitution variable was not replaced.
  * Bumped standard version and FPC version in dependencies.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 19 Jan 2025 16:51:33 +0100

castle-game-engine (7.0~alpha.3+dfsg1-9) unstable; urgency=medium

  * Fixed build on ppc64el.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 17 Jan 2025 14:02:06 +0100

castle-game-engine (7.0~alpha.3+dfsg1-8) unstable; urgency=medium

  * Fixed compilation on ppc64el.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 17 Jan 2025 09:58:51 +0100

castle-game-engine (7.0~alpha.3+dfsg1-7) unstable; urgency=medium

  * Fixed make file to ensure compilation uses packaged FPC RTL.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 13 Jan 2025 10:05:41 +0100

castle-game-engine (7.0~alpha.3+dfsg1-6) unstable; urgency=medium

  * Fixed Debian tests to use new upstream test suite. (Closes: Bug#1092309)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 12 Jan 2025 14:51:32 +0100

castle-game-engine (7.0~alpha.3+dfsg1-5) unstable; urgency=medium

  * Removed wrong chunk in a debian patch file that was added by mistake.
  * Updated copyright file.
  * Fixed dependency on fp-compiler enforcing the right minimal version.
    (Closes: Bug#1092309)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 07 Jan 2025 22:11:05 +0100

castle-game-engine (7.0~alpha.3+dfsg1-4) unstable; urgency=medium

  * Move CGE fp-units to the location recommended by FPC configuration file.
    Units are installed to Debianised location and a configuration file is
    added to FPC system wide configuration directory.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 05 Jan 2025 22:00:06 +0100

castle-game-engine (7.0~alpha.3+dfsg1-3) unstable; urgency=medium

  * Removed dependency of a particular imagemagick version.
    We pick whatever version is installed and it. (Closes: Bug#1089659)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 05 Jan 2025 12:25:59 +0100

castle-game-engine (7.0~alpha.3+dfsg1-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 01 Dec 2024 10:11:31 +0100

castle-game-engine (7.0~alpha.3+dfsg1-2) unstable; urgency=medium

  [ Niels Thykier ]
  * Migrate to debputy.
    Signed-off-by: Niels Thykier <niels@thykier.net>

  [ Abou Al Montacir ]
  * Enabled CI/CD on salsa.
  * Fixed building using fpmake.
    Thanks to Michalis Kamburelis <michalis.kambi@gmail.com>

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 22 Oct 2024 08:26:19 +0200

castle-game-engine (7.0~alpha.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 7.0~alpha.3+dfsg1
  * Updated patches and removed already applied by upstream.
  * Updated rules file after upstream changes.
    Upstream does not define `cleanall` make target anymore.
    Upstream renamed tool `texture-font-to-pascal` replacing dashes by
    underscores.
    Pass fonts path to `mk_fonts.sh` when invoked from rules file.
  * Removed build dependency on inkscape.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 13 Oct 2024 08:37:02 +0200
