## castle-game-engine 7.0~alpha.3+dfsg2

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders:
  Abou Al Montacir <abou.almontacir@sfr.fr>,
  Paul Gevers <elbrus@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-debputy (>= 0.1.14~),
  fonts-dejavu,
- fp-compiler (>= 3.2.2+dfsg-35),
+ fp-compiler (>= 3.2.2+dfsg-40),
  fp-units-base,
  fp-units-db,
  fp-units-fcl,
@@ -30,7 +30,6 @@
  libgtk2.0-dev,
  libpango1.0-dev,
 Build-Depends-Indep:
- fonts-dejavu,
  pasdoc (>= 0.16.0~),
 Vcs-Git: https://salsa.debian.org/pascal-team/castle-game-engine.git
 Vcs-Browser: https://salsa.debian.org/pascal-team/castle-game-engine
@@ -39,6 +38,7 @@
 
 Package: fp-units-castle-game-engine
 Architecture: any
+Static-Built-Using: ${fpc:Static-Built-Using}
 Depends:
  ${fpc-abi:Depends},
  ${misc:Depends},
