=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 # debian/rules for Castle Game Engine
 
-include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
 export DH_ALWAYS_EXCLUDE := COPYING:LICENSE
 export LANG:=C
@@ -27,9 +26,6 @@
 FPCTARGET=${CPU_TARGET}-${OS_TARGET}
 export CGE_VERSION=$(shell echo ${DEB_VERSION_UPSTREAM} | sed -e 's/^\([0-9\.]*\).*/\1/')
 DEB_BUILD=$(lastword $(subst -, ,${DEB_VERSION}))
-ifndef PACKAGESUFFIX
-PACKAGESUFFIX=-${CGE_VERSION}
-endif
 # Get directories
 INSTALL_DIR=$(CURDIR)/debian/tmp
 CFG_DIR=${INSTALL_DIR}/etc/fpc-${FPCVER}.cfg.d
@@ -39,6 +35,11 @@
 TMP_DIR=${INSTALL_DIR}/tmp
 # Define units installation default directory as recommended by Debian FPC Team
 UNITS_DIR=${LIB_PREFIX}/${DEB_HOST_MULTIARCH}/${DEB_SOURCE}/fp-units/${FPCVER}
+
+# Set default compilation options
+BUILDOPTS=\
+	--compiler-option=@${CURDIR}/castle-fpc.cfg \
+
 # Get utils
 ifndef MKDIR
 MKDIR=mkdir -p
@@ -121,7 +122,7 @@
 
 override_dh_auto_build-arch: prepare-source install-source
 	# Build the real engine
-	${MAKE} build-using-fpmake tools
+	${MAKE} build-using-fpmake tools CASTLE_ENGINE_TOOL_OPTIONS='$(BUILDOPTS)'
 	# Generate man pages
 	${MAKE} -C doc/man/man1
 
@@ -146,6 +147,7 @@
 	${CP} debian/castle-game-engine.cfg ${CFG_DIR}/castle-game-engine
 	# Perform cleanup
 	find ${INSTALL_DIR} -empty -delete
+	fpc-depends
 
 override_dh_auto_build-indep: prepare-source install-source
 	@echo "--- Building Documentation"
@@ -167,3 +169,6 @@
 	echo 'castle-game-engine-doc.' >> ${INSTALL_DIR}/packages/README.txt
 
 .PHONY:prepare-source install-source
+
+lintian:
+	lintian -I -i ../${DEB_SOURCE}_${DEB_VERSION}.dsc
